4Suite™ API Documentation

# ► Module Ft.Xml.Lib._4xupdate

Implementation of '4xupdate' command (functions defined here are used by the Ft.Lib.CommandLine framework)

    Copyright 2006 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: XUpdateCommandLineApp |  |  |  | Functions: Run |  |  |  | Globals: DefaultFactory

## Classes

class XUpdateCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

  ### Methods

  run(self, options, arguments)
    Overrides: run from class CommandLineApp
  validate_arguments(self, args)
    Overrides: validate_arguments from class CommandLineApp

  ### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  __init__, gen_command_tree, gen_usage, get_help_doc_info, main, parse_command_line, run_commands, validate_options

  ### Methods inherited from class Ft.Lib.CommandLine.Command.Command

  break_parent_relationship, build_parent_relationship, flatten_command_tree

  ### Members

  arguments = [<Ft.Lib.CommandLine.Arguments.RequiredArgument instance at 0xb76304ac>, <Ft.Lib.CommandLine.Arguments.RequiredArgument instance at 0xb763050c>]
  description = '4XUpdate command-line application'
  name = '4xupdate'
  options = [[--outfile=<FILE>]]
  project_name = '4Suite-XML'
  project_url = 'http://4suite.org/'
  project_version = '1.0.1'
  summary = 'command-line tool for performing XUpdates on XML documents'

  ### Members inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  commands, example, global_options

## Functions

Run(options, args)

## Globals

DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance at 0xb76a65ec>